
package com.winhc.bigdata.spark.ng.change.table

import com.winhc.bigdata.spark.ng.change.NgCompanyChangeHandle

/**
 * @Author: π
 * @Date: 2020/8/11
 * @Description:公司基本信息
 */

case class company(equCols: Seq[String]) extends NgCompanyChangeHandle with Serializable {

  /**
   * 获取公司company_id，默认为rowkey前半段
   *
   * @param rowkey
   * @param newMap
   * @return
   */
  override protected def getCompanyId(rowkey: String, newMap: Map[String, String]): String = rowkey

  /**
   * 如果数据发生更新，则显示该标题
   *
   * @param newMap
   * @return
   */
  override protected def getUpdateTitle(newMap: Map[String, String]): String = ""

  /**
   * 如果数据发生新增，则显示该标题
   *
   * @param newMap
   * @return
   */
  override protected def getInsertTitle(newMap: Map[String, String]): String = ""

  /**
   * 如果数据发生移除，则显示该标题，deleted:x->9 删除不算
   *
   * @param newMap
   * @return
   */
  override protected def getDeletedTitle(newMap: Map[String, String]): String = ""

  /**
   * 用于展示的标签
   *
   * @param oldMap
   * @param newMap
   * @return
   */
  override protected def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ""

  /**
   * 获取变更的业务时间
   *
   * @param newMap
   * @return
   */
  override protected def getBizDate(newMap: Map[String, String]): String = newMap("update_time")
}
